gnutls_x509_crt_set_crl_dist_points(3)

NAME
gnutls_x509_crt_set_crl_dist_points - This function will set the CRL dist points

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crt_set_crl_dist_points(gnutls_x509_crt_t crt, gnutls_x509_subject_alt_name_t type, const void * data_string, unsigned int reason_flags);

ARGUMENTS

gnutls_x509_crt_t crt
    should contain a gnutls_x509_crt_t structure

gnutls_x509_subject_alt_name_t          type
    is one of the gnutls_x509_subject_alt_name_t enumerations

const void * data_string
    The data to be set

unsigned int reason_flags
    revocation reasons

DESCRIPTION
This function will set the CRL distribution points certificate extension. Returns 0 on success.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2004 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.